be.fgov.ehealth.consultrn.commons.core.v3

## Class CivilStateRequestType

- java.lang.Object
- - be.fgov.ehealth.consultrn.commons.core.v3.CivilStateRequestType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:34:52+02:00",
                 comments="JAXB RI v2.2.11")
      public class CivilStateRequestType
      extends Object
      implements Serializable

  information about the civilstate of a person (include information about the partner)

  Java class for CivilStateRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CivilStateRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CivilStateCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="PartnerSsin" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Location" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}WhereRequestType" minOccurs="0"/>
               <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CivilStateRequestType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCivilStateCode()` Gets the value of the civilStateCode property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `WhereRequestType` | `getLocation()` Gets the value of the location property.
    `String` | `getPartnerSsin()` Gets the value of the partnerSsin property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `void` | `setCivilStateCode(String value)` Sets the value of the civilStateCode property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setLocation(WhereRequestType value)` Sets the value of the location property.
    `void` | `setPartnerSsin(String value)` Sets the value of the partnerSsin property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CivilStateRequestType

          public CivilStateRequestType()

  - ### Method Detail

    - #### getCivilStateCode

          public String getCivilStateCode()

      Gets the value of the civilStateCode property.
      Returns:
        possible object is `String`

    - #### setCivilStateCode

          public void setCivilStateCode(String value)

      Sets the value of the civilStateCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPartnerSsin

          public String getPartnerSsin()

      Gets the value of the partnerSsin property.
      Returns:
        possible object is `String`

    - #### setPartnerSsin

          public void setPartnerSsin(String value)

      Sets the value of the partnerSsin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLocation

          public WhereRequestType getLocation()

      Gets the value of the location property.
      Returns:
        possible object is `WhereRequestType`

    - #### setLocation

          public void setLocation(WhereRequestType value)

      Sets the value of the location property.
      Parameters:
        `value` - allowed object is `WhereRequestType`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSNURSE 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.